/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//	ロールアサイン画面のグループツリー情報の取得Actionクラス
//
//		変更履歴
//			2005.02.16  新規作成  氏名 石崎賢太郎
//
//	機能
//
//	ロールアサイン画面のグループツリー情報の取得Actionクラスです。
//
/////////////////////////////////////////////////////////////////
package jp.co.ntt.lms.xmf.actions.xmo.RoleAssignments;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.co.ntt.lms.xmf.xmo.RoleAssignments.RoleAssignmentsConstants;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * ロールアサイン画面のグループツリー情報の取得Actionクラスです。
 * 
 * @author Kentaro Ishizaki (UNITEC)
 * @version 1.0
 */
public class RoleAssignmentsframeset_groupAction extends Action
{
	/**
	 * strutsフレームワークから呼ばれるメソッドです。
	 * 
	 * @param mapping マッピングオブジェクト。
	 * @param form アクションフォームオブジェクト。
	 * @param request リクエストオブジェクト。
	 * @param response レスポンスオブジェクト。
	 * @return ActionForward アクションフォワードオブジェクト。
	 * @throws Exception
	 */
	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
	{
		String strLoginUserID_o = (String)request.getSession().getAttribute(RoleAssignmentsConstants.USER_ID);	// ログインユーザーID

		// ログインユーザがスーパーユーザか普通の管理者かでルートのIDを切り分けます。
		String strTreeRoot_o = null;

		if(strLoginUserID_o == null){
			// セッションが切れている場合はログイン画面にリダイレクト
			request.setAttribute("message", "");
			request.setAttribute("detail", "");
			request.setAttribute("close", "on");
			request.setAttribute("errorurl", "../Base/LoginRedirector.vm");
			return mapping.findForward("error");
		}
		else{
			if(strLoginUserID_o.equals(RoleAssignmentsConstants.SUPER_USER)){
				strTreeRoot_o = RoleAssignmentsConstants.GROUP_ROOT_o;
			}else{
				strTreeRoot_o = RoleAssignmentsConstants.GROUP_TREE_ROOT;
			}
		}
		
		// ツリーデータ取得用のアプレット
		String strServerName_o = request.getServerName();
		int intServerPort_o = request.getServerPort();
		String strContextPath_o = request.getContextPath();

		
		// リクエストに変数をセット
		request.setAttribute("strServerName_o", strServerName_o);
		request.setAttribute("intServerPort_o", new Integer(intServerPort_o));
		request.setAttribute("strContextPath_o", strContextPath_o);
		// 
		request.setAttribute("strTreeRoot_o", strTreeRoot_o);
		
		return mapping.findForward("success");
	}
}
